AuthenticationProvider¶
- class oci.oda.models.AuthenticationProvider(**kwargs)¶
Bases:
objectSettings for the Authentication Provider.
Attributes:
A constant which can be used with the grant_type property of a AuthenticationProvider.
A constant which can be used with the grant_type property of a AuthenticationProvider.
A constant which can be used with the identity_provider property of a AuthenticationProvider.
A constant which can be used with the identity_provider property of a AuthenticationProvider.
A constant which can be used with the identity_provider property of a AuthenticationProvider.
A constant which can be used with the identity_provider property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
A constant which can be used with the lifecycle_state property of a AuthenticationProvider.
Gets the authorization_endpoint_url of this AuthenticationProvider.
[Required] Gets the client_id of this AuthenticationProvider.
Gets the defined_tags of this AuthenticationProvider.
Gets the freeform_tags of this AuthenticationProvider.
[Required] Gets the grant_type of this AuthenticationProvider.
[Required] Gets the id of this AuthenticationProvider.
[Required] Gets the identity_provider of this AuthenticationProvider.
[Required] Gets the is_visible of this AuthenticationProvider.
[Required] Gets the lifecycle_state of this AuthenticationProvider.
[Required] Gets the name of this AuthenticationProvider.
Gets the redirect_url of this AuthenticationProvider.
Gets the refresh_token_retention_period_in_days of this AuthenticationProvider.
Gets the revoke_token_endpoint_url of this AuthenticationProvider.
[Required] Gets the scopes of this AuthenticationProvider.
Gets the short_authorization_code_request_url of this AuthenticationProvider.
Gets the subject_claim of this AuthenticationProvider.
[Required] Gets the time_created of this AuthenticationProvider.
[Required] Gets the time_updated of this AuthenticationProvider.
[Required] Gets the token_endpoint_url of this AuthenticationProvider.
Methods:
__init__(**kwargs)Initializes a new AuthenticationProvider object with values from keyword arguments.
- GRANT_TYPE_AUTHORIZATION_CODE = 'AUTHORIZATION_CODE'¶
A constant which can be used with the grant_type property of a AuthenticationProvider. This constant has a value of “AUTHORIZATION_CODE”
- GRANT_TYPE_CLIENT_CREDENTIALS = 'CLIENT_CREDENTIALS'¶
A constant which can be used with the grant_type property of a AuthenticationProvider. This constant has a value of “CLIENT_CREDENTIALS”
- IDENTITY_PROVIDER_GENERIC = 'GENERIC'¶
A constant which can be used with the identity_provider property of a AuthenticationProvider. This constant has a value of “GENERIC”
- IDENTITY_PROVIDER_GOOGLE = 'GOOGLE'¶
A constant which can be used with the identity_provider property of a AuthenticationProvider. This constant has a value of “GOOGLE”
- IDENTITY_PROVIDER_MICROSOFT = 'MICROSOFT'¶
A constant which can be used with the identity_provider property of a AuthenticationProvider. This constant has a value of “MICROSOFT”
- IDENTITY_PROVIDER_OAM = 'OAM'¶
A constant which can be used with the identity_provider property of a AuthenticationProvider. This constant has a value of “OAM”
- LIFECYCLE_STATE_ACTIVE = 'ACTIVE'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “ACTIVE”
- LIFECYCLE_STATE_CREATING = 'CREATING'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “CREATING”
- LIFECYCLE_STATE_DELETED = 'DELETED'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “DELETED”
- LIFECYCLE_STATE_DELETING = 'DELETING'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “DELETING”
- LIFECYCLE_STATE_FAILED = 'FAILED'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “FAILED”
- LIFECYCLE_STATE_INACTIVE = 'INACTIVE'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “INACTIVE”
- LIFECYCLE_STATE_UPDATING = 'UPDATING'¶
A constant which can be used with the lifecycle_state property of a AuthenticationProvider. This constant has a value of “UPDATING”
- __init__(**kwargs)¶
Initializes a new AuthenticationProvider object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
id (str) – The value to assign to the id property of this AuthenticationProvider.
grant_type (str) – The value to assign to the grant_type property of this AuthenticationProvider. Allowed values for this property are: “CLIENT_CREDENTIALS”, “AUTHORIZATION_CODE”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
identity_provider (str) – The value to assign to the identity_provider property of this AuthenticationProvider. Allowed values for this property are: “GENERIC”, “OAM”, “GOOGLE”, “MICROSOFT”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
name (str) – The value to assign to the name property of this AuthenticationProvider.
token_endpoint_url (str) – The value to assign to the token_endpoint_url property of this AuthenticationProvider.
authorization_endpoint_url (str) – The value to assign to the authorization_endpoint_url property of this AuthenticationProvider.
short_authorization_code_request_url (str) – The value to assign to the short_authorization_code_request_url property of this AuthenticationProvider.
revoke_token_endpoint_url (str) – The value to assign to the revoke_token_endpoint_url property of this AuthenticationProvider.
client_id (str) – The value to assign to the client_id property of this AuthenticationProvider.
scopes (str) – The value to assign to the scopes property of this AuthenticationProvider.
subject_claim (str) – The value to assign to the subject_claim property of this AuthenticationProvider.
refresh_token_retention_period_in_days (int) – The value to assign to the refresh_token_retention_period_in_days property of this AuthenticationProvider.
redirect_url (str) – The value to assign to the redirect_url property of this AuthenticationProvider.
is_visible (bool) – The value to assign to the is_visible property of this AuthenticationProvider.
lifecycle_state (str) – The value to assign to the lifecycle_state property of this AuthenticationProvider. Allowed values for this property are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
time_created (datetime) – The value to assign to the time_created property of this AuthenticationProvider.
time_updated (datetime) – The value to assign to the time_updated property of this AuthenticationProvider.
freeform_tags (dict(str, str)) – The value to assign to the freeform_tags property of this AuthenticationProvider.
defined_tags (dict(str, dict(str, object))) – The value to assign to the defined_tags property of this AuthenticationProvider.
- property authorization_endpoint_url¶
Gets the authorization_endpoint_url of this AuthenticationProvider. The IDPs URL for the page that users authenticate with by entering the user name and password.
- Returns
The authorization_endpoint_url of this AuthenticationProvider.
- Return type
str
- property client_id¶
[Required] Gets the client_id of this AuthenticationProvider. The client ID for the IDP application (OAuth Client) that was registered as described in Identity Provider Registration. With Microsoft identity platform, use the application ID.
- Returns
The client_id of this AuthenticationProvider.
- Return type
str
- property defined_tags¶
Gets the defined_tags of this AuthenticationProvider. Usage of predefined tag keys. These predefined keys are scoped to namespaces. Example: {“foo-namespace”: {“bar-key”: “value”}}
- Returns
The defined_tags of this AuthenticationProvider.
- Return type
dict(str, dict(str, object))
- property freeform_tags¶
Gets the freeform_tags of this AuthenticationProvider. Simple key-value pair that is applied without any predefined name, type, or scope. Example: {“bar-key”: “value”}
- Returns
The freeform_tags of this AuthenticationProvider.
- Return type
dict(str, str)
- property grant_type¶
[Required] Gets the grant_type of this AuthenticationProvider. The grant type for the Authentication Provider.
Allowed values for this property are: “CLIENT_CREDENTIALS”, “AUTHORIZATION_CODE”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The grant_type of this AuthenticationProvider.
- Return type
str
- property id¶
[Required] Gets the id of this AuthenticationProvider. Unique immutable identifier that was assigned when the Authentication Provider was created.
- Returns
The id of this AuthenticationProvider.
- Return type
str
- property identity_provider¶
[Required] Gets the identity_provider of this AuthenticationProvider. Which type of Identity Provider (IDP) you are using.
Allowed values for this property are: “GENERIC”, “OAM”, “GOOGLE”, “MICROSOFT”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The identity_provider of this AuthenticationProvider.
- Return type
str
- property is_visible¶
[Required] Gets the is_visible of this AuthenticationProvider. Whether this Authentication Provider is visible in the ODA UI.
- Returns
The is_visible of this AuthenticationProvider.
- Return type
bool
- property lifecycle_state¶
[Required] Gets the lifecycle_state of this AuthenticationProvider. The Authentication Provider’s current state.
Allowed values for this property are: “CREATING”, “UPDATING”, “ACTIVE”, “INACTIVE”, “DELETING”, “DELETED”, “FAILED”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The lifecycle_state of this AuthenticationProvider.
- Return type
str
- property name¶
[Required] Gets the name of this AuthenticationProvider. A name to identify the Authentication Provider.
- Returns
The name of this AuthenticationProvider.
- Return type
str
- property redirect_url¶
Gets the redirect_url of this AuthenticationProvider. The OAuth Redirect URL.
- Returns
The redirect_url of this AuthenticationProvider.
- Return type
str
- property refresh_token_retention_period_in_days¶
Gets the refresh_token_retention_period_in_days of this AuthenticationProvider. The number of days to keep the refresh token in the Digital Assistant cache.
- Returns
The refresh_token_retention_period_in_days of this AuthenticationProvider.
- Return type
int
- property revoke_token_endpoint_url¶
Gets the revoke_token_endpoint_url of this AuthenticationProvider. If you want to revoke all the refresh tokens and access tokens of the logged-in user from a dialog flow, then you need the IDP’s revoke refresh token URL. If you provide this URL, then you can use the System.OAuth2ResetTokens component to revoke the user’s tokens for this service.
- Returns
The revoke_token_endpoint_url of this AuthenticationProvider.
- Return type
str
- property scopes¶
[Required] Gets the scopes of this AuthenticationProvider. A space-separated list of the scopes that must be included when Digital Assistant requests an access token from the provider. Include all the scopes that are required to access the resources. If refresh tokens are enabled, include the scope that’s necessary to get the refresh token (typically offline_access).
- Returns
The scopes of this AuthenticationProvider.
- Return type
str
- property short_authorization_code_request_url¶
Gets the short_authorization_code_request_url of this AuthenticationProvider. A shortened version of the authorization URL, which you can get from a URL shortener service (one that allows you to send query parameters). You might need this because the generated authorization-code-request URL could be too long for SMS and older smart phones.
- Returns
The short_authorization_code_request_url of this AuthenticationProvider.
- Return type
str
- property subject_claim¶
Gets the subject_claim of this AuthenticationProvider. The access-token profile claim to use to identify the user.
- Returns
The subject_claim of this AuthenticationProvider.
- Return type
str
- property time_created¶
[Required] Gets the time_created of this AuthenticationProvider. When the resource was created. A date-time string as described in RFC 3339, section 14.29.
- Returns
The time_created of this AuthenticationProvider.
- Return type
datetime
- property time_updated¶
[Required] Gets the time_updated of this AuthenticationProvider. When the resource was last updated. A date-time string as described in RFC 3339, section 14.29.
- Returns
The time_updated of this AuthenticationProvider.
- Return type
datetime
- property token_endpoint_url¶
[Required] Gets the token_endpoint_url of this AuthenticationProvider. The IDPs URL for requesting access tokens.
- Returns
The token_endpoint_url of this AuthenticationProvider.
- Return type
str